#version 120

in vec2 TexCoords;
in vec4 Color;
in vec3 Normal;
uniform vec3 skyColor;

uniform float near, far;
uniform sampler2D texture;

void main(){
    vec4 albedo = texture2D(texture, TexCoords) * Color;
	albedo.a = 1.0;
	
    /* DRAWBUFFERS:0 */
    gl_FragData[0] = albedo;
}
